summaryrefslogtreecommitdiff
path: root/maintenance/dev
diff options
context:
space:
mode:
Diffstat (limited to 'maintenance/dev')
-rw-r--r--maintenance/dev/includes/php.sh2
-rw-r--r--maintenance/dev/includes/router.php4
2 files changed, 4 insertions, 2 deletions
diff --git a/maintenance/dev/includes/php.sh b/maintenance/dev/includes/php.sh
index 7ce87944..3c5bef0d 100644
--- a/maintenance/dev/includes/php.sh
+++ b/maintenance/dev/includes/php.sh
@@ -4,7 +4,7 @@
# and previous home directory location
# The binary path is returned in $PHP if any
-for binary in $PHP `which php || true` "$DEV/php/bin/php" "$HOME/.mediawiki/php/bin/php" "$HOME/.mwphp/bin/php" ]; do
+for binary in $PHP $(which php || true) "$DEV/php/bin/php" "$HOME/.mediawiki/php/bin/php" "$HOME/.mwphp/bin/php" ]; do
if [ -x "$binary" ]; then
if "$binary" -r 'exit((int)!version_compare(PHP_VERSION, "5.4", ">="));'; then
PHP="$binary"
diff --git a/maintenance/dev/includes/router.php b/maintenance/dev/includes/router.php
index a3cc0ba3..0a65e31e 100644
--- a/maintenance/dev/includes/router.php
+++ b/maintenance/dev/includes/router.php
@@ -59,6 +59,7 @@ if ( $ext == 'php' || $ext == 'php5' ) {
# the php webserver will discard post data and things like login
# will not function in the dev environment.
require $file;
+
return true;
}
$mime = false;
@@ -79,7 +80,7 @@ if ( !$mime ) {
}
}
if ( $mime ) {
- # Use custom handling to serve files with a known mime type
+ # Use custom handling to serve files with a known MIME type
# This way we can serve things like .svg files that the built-in
# PHP webserver doesn't understand.
# ;) Nicely enough we just happen to bundle a mime.types file
@@ -93,6 +94,7 @@ if ( $mime ) {
header( "Content-Length: " . filesize( $file ) );
// Stream that out to the browser
fpassthru( $f );
+
return true;
}